Subject: [Sip] SIP Transport Selection Question

From: Joe <[email-masked]>
Date: Fri, 30 Jun 2006 19:22:20 -0500

Under the Clients section 3261 states:

"If a request is within 200 bytes of the path MTU, or if it is larger than
1300 bytes and the path MTU is unknown, the request MUST be sent using an
RFC 2914 congestion controlled transport protocol, such as TCP."

Is this for "requests" (INVITE, etc.) only? What if an INVITE were sent as
UDP but a response (200 OK) were to come back with extra headers which
breached the MTU? Must the node sending the OK switch the transport to TCP?
Is this optional?

Regards,
Joe
_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip